summaryrefslogtreecommitdiffstats
path: root/source/l/libvncserver/libvncserver.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-01-10 22:57:53 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-11 08:59:52 +0100
commit8d94e33d1acc8665c22edbdcfa12173ca254b7ca (patch)
treeb1497b34d75c8e4a5bf4a20b78d4ab37553de76a /source/l/libvncserver/libvncserver.SlackBuild
parent302c8e43dc0b5159e2a005bb1270df3268289b81 (diff)
downloadcurrent-8d94e33d1acc8665c22edbdcfa12173ca254b7ca.tar.gz
current-8d94e33d1acc8665c22edbdcfa12173ca254b7ca.tar.xz
Fri Jan 10 22:57:53 UTC 202020200110225753
a/btrfs-progs-5.4.1-x86_64-1.txz: Upgraded. l/libvncserver-0.9.12-x86_64-2.txz: Rebuilt. Merged upstream bugfix pull requests. Thanks to alienBOB. n/NetworkManager-1.22.4-x86_64-1.txz: Upgraded. xap/mozilla-thunderbird-68.4.1-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/68.4.1/releasenotes/ https://www.mozilla.org/security/known-vulnerabilities/thunderbird.html https://www.mozilla.org/en-US/security/advisories/mfsa2020-04/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17026 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17015 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17016 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17017 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17021 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17022 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-17024 (* Security fix *)
Diffstat (limited to 'source/l/libvncserver/libvncserver.SlackBuild')
-rwxr-xr-xsource/l/libvncserver/libvncserver.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/l/libvncserver/libvncserver.SlackBuild b/source/l/libvncserver/libvncserver.SlackBuild
index 015b6a5fc..abf5f6640 100755
--- a/source/l/libvncserver/libvncserver.SlackBuild
+++ b/source/l/libvncserver/libvncserver.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2007, 2014 Heinz Wiesinger, Amsterdam, NL
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018, 2019, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libvncserver
VERSION=${VERSION:-$(echo LibVNCServer-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -91,6 +91,8 @@ find . \
-exec chmod 644 {} \+
zcat $CWD/libvncserver.CMAKE_INSTALL_LIBDIR.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/libvncserver.d0a76539835d11c0f4723499f8be4bc9c7724eb9.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/libvncserver.15c4f144a3783d9f1f2c976acf9f4d85988fd466.patch.gz | patch -p1 --verbose || exit 1
# Configure, build, and install:
mkdir cmake-build